Overview | Package | Class | Tree | Index | Help
PREV NEXT | FRAMES NO FRAMES

# Master Index Java Class Reference

The Master Index Java API includes the classes and interfaces you need to process data through a master index database using external clients, such as web services, Java clients, Business Processes, and so on. Use these methods to create customized applications that access the master index application and its functions.

The following tables provide links to class and package information. The primary functions of the master index are defined in the interface MasterController, located in the `com.sun.mdm.index.ejb.master` package. If you are new to the Master Index API, the MasterController interface is a good starting point.

Packages
com.sun.mdm.index.assumedmatch |
com.sun.mdm.index.audit |
com.sun.mdm.index.codelookup |
com.sun.mdm.index.configurator |
com.sun.mdm.index.configurator.impl |
com.sun.mdm.index.configurator.impl.blocker |
com.sun.mdm.index.configurator.impl.decision |
com.sun.mdm.index.configurator.impl.idgen |
com.sun.mdm.index.configurator.impl.master |
com.sun.mdm.index.configurator.impl.matching |
com.sun.mdm.index.configurator.impl.querybuilder |
com.sun.mdm.index.configurator.impl.security |
com.sun.mdm.index.configurator.impl.standardization |
com.sun.mdm.index.configurator.impl.validation |
com.sun.mdm.index.decision |
com.sun.mdm.index.decision.impl |
com.sun.mdm.index.edm.common |
com.sun.mdm.index.edm.control |
com.sun.mdm.index.edm.services.configuration |
com.sun.mdm.index.edm.services.masterController |
com.sun.mdm.index.edm.services.security |
com.sun.mdm.index.edm.util |
com.sun.mdm.index.ejb.codelookup |
com.sun.mdm.index.ejb.master |
com.sun.mdm.index.ejb.page |
com.sun.mdm.index.ejb.report |
com.sun.mdm.index.ejb.sequence |
com.sun.mdm.index.filter |
com.sun.mdm.index.idgen |
com.sun.mdm.index.idgen.impl |
com.sun.mdm.index.master |
com.sun.mdm.index.master.search.assumedmatch |
com.sun.mdm.index.master.search.audit |
com.sun.mdm.index.master.search.enterprise |
com.sun.mdm.index.master.search.merge |
com.sun.mdm.index.master.search.potdup |
com.sun.mdm.index.master.search.transaction |
com.sun.mdm.index.matching |
com.sun.mdm.index.matching.adapter |
com.sun.mdm.index.matching.converter |
com.sun.mdm.index.matching.impl |
com.sun.mdm.index.monitor |
com.sun.mdm.index.objects |
com.sun.mdm.index.objects.epath |
com.sun.mdm.index.objects.exception |
com.sun.mdm.index.objects.factory |
com.sun.mdm.index.objects.metadata |
com.sun.mdm.index.objects.validation |
com.sun.mdm.index.objects.validation.exception |
com.sun.mdm.index.ops |
com.sun.mdm.index.ops.exception |
com.sun.mdm.index.outbound |
com.sun.mdm.index.page |
com.sun.mdm.index.parser |
com.sun.mdm.index.persistence |
com.sun.mdm.index.phonetic |
com.sun.mdm.index.phonetic.impl |
com.sun.mdm.index.potdup |
com.sun.mdm.index.query |
com.sun.mdm.index.querybuilder |
com.sun.mdm.index.report |
com.sun.mdm.index.security |
com.sun.mdm.index.survivor |
com.sun.mdm.index.survivor.impl |
com.sun.mdm.index.update |
com.sun.mdm.index.util |
com.sun.mdm.index.webservice |

Interface Summary
AssemblerEngine |
BatchReportGenerator | Interface for ReportGeneratorImpl
BatchReportGeneratorRemote | Remote interface of ReportGenerator
BlockPicker | A user extensible component to pick the next block definition to use for the next matching pass.
ChecksumCalculator | Interface to calculate checksums
CodeLookup | Interface for CodeLookupEJB
CodeLookupRemote | Remote Interface for CodeLookupEJB
ConfigurationInfo | ConfigurationInfo interface.
ConfigurationMBean | ConfigurationMBean interface
Constants | Global constants for use across the application
DomainSelector | Select the domain for each of the standardization groups in a system object
EnterpriseObjectBean | EnterpriseObjectBean value object
EnterpriseObjectMessage | Interface for EnterpriseObjectBean container.
EntityObject |
EntityOPS |
EuidGenerator | Interface to generate EUID values.
ExclusionFilterService | The ExclusionFilterService is the interface which contains primary functions of the exclusion filters.
FieldValidator |
FilterConstants | This interface is for managing the constants of the filters.
JNDINames | JNDI name constants
MasterController | The MasterController interface is the interface of the Master Index Manager Service, which controls the primary functions of the master index.
MasterControllerCore | The MasterControllerCore interface is the interface of the Master Index Manager Service, which controls the primary functions of the master index.
MasterControllerLocal | Local interface of MasterController
MasterControllerRemote | Remote interface of MasterController
MatchEngineConfiguration | A marker interface to implement for a MatchEngine configuration for a specific match engine adapter implementation
MatchEngineController | The interface of the match engine controller.
Matcher | Loads and forwards requests to the adapter interface implementation configured.
MatcherAPI | The interface a match engine adapter has to implement to enable communication between the framework and the specific match engine.
MergeObjectResult | Interface for merge related functions.
ObjectBean | Interface for object bean
ObjectSensitivePlugIn |
ObjectValidator |
OPSLoad |
PageAdapter | Page adapter interface
PageData | Interface for PageDataEJB
PageDataRemote | Remote interface of PageData
PassController | User implementable interface that controls whether to attempt another pass with the next block.
PhoneticEncoder | Interface to be implemented by a phonetic encoder so the framework can use it.
QueryConstants |
QueryManager | The QueryManager class executes the SQL queries against the master index database, providing a single point of access to database queries.
QueryObjectCacheManager |
ReportGenerator | Interface for ReportGeneratorEJB
ReportGeneratorRemote | Remote interface of ReportGenerator
ResultObjectAssembler | The ResultObjectAssembler interface contains the methods used to assemble the JDBC objects that result from a query.
SBRObjectBean | Interface for SBR object bean
SearchObjectResult | Interface for the search result objects invoked from search methods.
SecurityMaskPlugIn |
Sequence |
SequenceEJBLocal |
SequenceEJBRemote |
Standardizer | Loads and forwards requests to the adapter interface implementation configured.
StandardizerAPI | The interface a standardization engine adapter has to implement to enable communication between the framework and the specific standardization engine.
StandardizerEngineConfiguration | A marker interface to implement for a StandardizationEngine configuration for a specific standardization engine adapter implementation
StatusMonitorMBean |
SurvivorStrategyInterface | The SurvivorStrategyInterface class is the interface for all default and custom survivor calculators.
SystemObjectBean | Interface for system object bean
SystemObjectConverter | The marker interface a converter should implement to be used in the matching framework.
SystemObjectPKBean | Interface for system object bean
TransactionMgr | The interface of Transaction Manager
UpdateManager |
UpdatePolicy | Update policy, called before persisting the data.
UserCodeLookup | Interface for UserCodeLookupEJB
UserCodeLookupRemote | Remote interface for UserCodeLookup
ValueValidator |

Class Summary
AbstractCondition | Base class for a block condition
AbstractSurvivorHelper | Base helper class that provides the following utility methods on omega: get a set of candidate fields that need survivor calculation; get a set of system information fields for each candidate field; and set the value of a candidate field.
Agent | JMX agent
ArrayPageAdapter | Adapts any array for use in PageIterator
AssembleDescriptor | The AssembleDescriptor class contains information used by the assembler engine (AssemblerEngine class) to construct the resulting composite objects.
AssembleObjectState | This object is used by AssemlerEngine during Assembling process.
AssemblerEngineImpl | This AssemblerEngine is responsible to initialize the data structures that are used during Assembling.
AssumedMatchIterator | The AssumedMatchIterator class represents an iterator containing the AssumedMatchSummary objects returned by a call to lookupAssumedMatches.
AssumedMatchManager | Data access class for potential assumed matches.
AssumedMatchPageAdapter | Given a list of AssumedMatchSummaries, adapt the result for use within page iterator framework.
AssumedMatchReport | Report class for assumed matches
AssumedMatchReportConfig | Configuration class for assumed match report
AssumedMatchReportRow | Row of data for Assumed Match Report
AssumedMatchSearchObject | The AssumedMatchSearchObject class is an object representing the search criteria passed to lookupAssumedMatches when performing a search for assumed matches.
AssumedMatchSummary | The AssumedMatchSummary class represents an object containing transaction information about assumed match transactions that were returned by a call to lookupAssumedMatches.
AttributeMetaData |
AttributesData | The AttributesData class provides access to the data returned from a generated SQL query through the value object assembler methods (such as those in the classes that implement the ResultObjectAssembler interface).
AuditDataObject | The AuditDataObject class represents an object containing an audit log summary returned by a call to lookupAuditLog.
AuditIterator | The AuditIterator class represents an iterator containing the AuditDataObject objects returned by a call to lookupAuditLog.
AuditManager | Class to perform audit-related SQL operations
AuditSearchObject | The AuditSearchObject class is an object representing the search criteria passed to lookupAuditLog when performing a search for audit log entries.
AuxIdValidator |
AxionSQLObject | supports Axion DB specifics query syntax
BasicQueryBuilder | Construct query by looking at which fields in the system object have been populated and performing a 'like %' search against string fields and an "=" search for non-string fields.
BatchReportGeneratorEJB | Session bean for batchreports
BatchReportGeneratorImpl | Stateful Session bean for batch reports
BlobHelper |
BlobHelperParameters |
BlockDefinition |
BlockerConfig | Blocker configuration class.
BlockerQueryBuilder | The Blocker is used to limit the amount of potential candidates the match engine has the work with.
BlockingRuleType |
BlockPickerHelper | A Helper class to load the configured implementation class as configured for the block picker component
BlockRule |
BlockType |
CharacterValueValidator |
ChildElementIterator |
ClearFieldObject | Class to hold clear field indicator object
CodeDescription | Code description
CodeGeneratorUtil | utility class for code generation.
CodeLookupEJB | Session bean to provide code display pairs
CodeRegistry | Code registry
CodeValueType |
Condition | The Condition class represents a condition in the WHERE clause of a SQL statement that is used to build a query object.
ConditionBlockIterator |
ConditionDescriptor |
ConditionLeafIterator |
ConditionMap | This maintains a HashMap of {object, list of conditions}.
ConfigManager | Read MIDM config xml
ConfigurationService | ConfigurationMBean implementation
ConfigurationService.ConfigurationServiceObservable | Inner class to notify of configuration changes after the initial load.
ConnectionUtil |
ConnectorParamReader | Reader of connector.properties
ConstraintType |
ContainsCondition | Contains condition.
CreateObjectList | This is a collection of CreatObjectMeta objects.
CreateObjectMeta | This data structure contains attributes for each object that is created by Assembler Engine and these attributes are used during assembling process.
CUIDManager | Class for managing EUID generation.
DateConstraintType |
DateUtil | This class provides method to convert string to date and to convert date to string.
DateUtil | Date utility functions
DateValueValidator |
DBAdapter |
DBMetaAttribute | Database MetaData Attributes
DeactivateReport | Report class for deactivations
DeactivateReportConfig | Configuration class for deactivate report
DeactivateReportRow | Row of data for Deactivate Report
DecisionMaker | Interface for logic that determines which records are potential duplicates and which record may be an assumed match.
DecisionMakerConfiguration |
DecisionMakerResult | Return class for DecisionMaker.process()
DecisionMakerStruct | Structure used for return value of DecisionMaker.process() method.
DefaultChecksumCalculator | Default checksum calculator
DefaultDecisionMaker | Sample decision maker which chooses the highest weighted record above a match threshold to be the assumed match record.
DefaultEuidGenerator | Default EUID generator.
DefaultSurvivorHelper | Default survivor helper implementation, using ePath
DefaultSurvivorStrategy | Default survivor strategy class.
DeltaParameters |
DoubleMetaphone | Encodes a string into a double metaphone value.
EDMFieldDef |
EDMType |
EIndexObject |
ElephantObject |
ElephantObjectType |
EnterpriseDB |
EnterpriseObject | The EnterpriseObject class represents a compilation of all objects associated with a single entity in the master index database.
EnterpriseObjectHistory | Class providing access to before / after images of an EnterpriseObject for a given transaction
EnterprisePK |
EOGetOptions | The EOGetOptions class contains the search criteria for a Partial retrieval of Enterprise object.
EOObjectNodeAssembler | The EOObjectNodeAssembler class creates an object node (class ObjectNode) hierarchy for EO and their sub-objects.
EORetriever | Retrieves EO from the database based on Epaths specified.
EOSearchCriteria | The EOSearchCriteria class contains the search criteria for a searchEnterpiseObject object.
EOSearchOptions | The EOSearchOptions class represents a specific sub-class of the SearchOptions class, and is used by searchEnterpriseObject as criteria for an enterprise object search.
EOSearchResultAssembler | The EOSearchResultAssembler class creates the results data (that is, EOSearchResultRecord objects) used by the Enterprise Data Manager to display the results of a search.
EOSearchResultComparator | Comparator for EOSearchResultRecords
EOSearchResultIterator | The EOSearchResultIterator class represents an iterator containing the EOSearchResultRecord objects returned by a call to searchEnterpriseObject.
EOSearchResultRecord | The EOSearchResultRecord class represents an object containing a record returned by a call to MasterController.searchEnterpriseObject.
EosFieldGroupConfig | Model search group
EPath | Represents a parsed EPath string and encapsulates the operations needed to access the object represented by the EPath string.
EPathAPI | The methods in this class are convenience methods for using the EPath object.
EPathArrayList | The EPathArrayList class represents an array of ePaths, which define the locations of fields in Master Index objects and the database.
EPathBuilder | Builds an EPath given data in an object node format.
EPathGroup | Combines EPath into a group so that operations can be applied to set of EPaths.
EPathParser | EPath parser class.
EuidGeneratorConfiguration | Decision maker configuration.
EuidPageAdapter | Given a hashmap of (String)EUID->(Float)Weight, adapt the result for use within page iterator framework.
ExactCondition | Exact condition.
ExclusionFilterCofig | The ExclusionFilterCofig class will parse the filter Config file.
ExclusionFilterServiceImpl | The ExclusionFilterServiceImpl is the implementation of the ExclusionFilterService service which will contain the primary functions of the exclusion filters.
ExclusionListLookup | This class will check for the fieldName and Fieldvalue present in the Exclusion list.
ExecuteMatchLogics | The ExecuteMatchLogics class provides methods that allow you to customize how the matching process is performed by any of the "execute match" methods of the MasterController class.
FieldAttributeStruct |
FieldConfig | for one search field displayed on UI.
FieldConfigGroup | Model field groups
FieldDef |
FieldDescriptor |
FieldFlag |
FieldMetaData | Field meta data structure
FieldType |
FieldType |
Filter |
FloatValueValidator |
GreaterThanCondition | Greater than condition.
GreaterThanEqualsCondition | Greater than equals condition.
HelperFactory | Factory methods to create a SurvivorHelper
IntegerValueValidator |
IteratorPageAdapter | Page adapter for Iterators
JarUtil | Utilities for jar file manipulation
JoinCondition |
JoinList | This is used by SingleQueryParser.
JoinObject |
KeyStatisticsReport | Report class for key stats
KeyStatisticsReportConfig | Configuration class for key statistics report
KeyStatisticsReportDB | Key Statistics Report DB class for retrieving statistic data from database
KeyValueConfiguration | Key Value Configuration.
LessThanCondition | Less than condition.
LessThanEqualsCondition | Less than equals condition.
LocalIdValidator |
Localizer | This class supports localization.
LockManager |
Logger | A logger that exposes the same "interface" as the Log4J logger but in fact logs to a java.util.logging.Logger delegate.
Logon |
LogUtil | Log utility functions
LongValueValidator |
MasterControllerConfiguration | Master Controller configuration
MasterControllerCoreImpl | The MasterControllerCoreImpl is the implementation of MasterControllerCore
MasterControllerEJB | The Master Controller EJB implements the main interface that is exposed to clients of the indexing system.
MasterControllerService |
MasterType |
MatchColResult | Return value for webservice executeMatch
MatchColumn | Represents the configuration for a Match Column.
MatchEngineConfig | Handles the the SBME Configuration files
MatchEngineControllerFactory | The Factory class to create the match engine controller.
MatchEngineControllerImpl | The match engine controller provides the main entry point to the Match Engine Functional Area (MEFA) and exposes the public functionality to Standardize and Match records.
MatcherAPIHelper | A Helper class to load the configured implementation class as configured for the matcher api component
MatcherFactory | Factory class to create instance of MatcherLocal
MatcherImpl | Impl class for Matcher.
MatchFieldChange | Utility class to determine if a match field has changed
MatchFieldDef |
MatchFieldDef.LocaleCode |
MatchingConfiguration | Handles the parsing of the Matching configuration and defining how to match objects.
MatchingConfiguration.Attributes | Attributes that correspond to the XML attribute names.
MatchingConfiguration.Tags | Tags that correspond to the XML node names.
MatchOptions | The options to control the matching and results for the findWeights methods
MatchResult | The MatchResult class contains the return values for a call to any of the "executeMatch" methods (that is, executeMatch, executeMatchUpdate, executeMatchDupRecalc, executeMatchUpdateDupRecalc, or executeMatchGui).
MatchTuple | The MatchTuple class is used by the match engine when a candidate pool of possible matches to a record is returned by the Query Manager.
MatchTupleAssembler | The MatchTupleAssembler class is used by the match engine to assemble a MatchTuple object for each database tuple.
MatchTupleConverter | Converts the matchfields configured for a SystemObject into a flat tuple structure (Array of array)
MatchTuples | Contains the tuples representing all the configured match fields of a SystemObject/SBR (i.e.
MatchType |
MEFAConfiguration | Handles the parsing of the Match Engine Functional Area configuration (MEFA)
MEFAConfiguration.Attributes | Attributes that correspond to the XML attribute names.
MEFAConfiguration.Components | ComponentNames which identify the available MEFA components
MEFAConfiguration.Tags | Tags that correspond to the XML node names.
MEFAFactory | Helper class to load configured component implementation classes
MergeHistoryHelper | Helper class to traverse merge history
MergeHistoryNode | Merge history node
MergeObject |
MergeObjectDB |
MergeReport | Report class for merges
MergeReportConfig | Configuration class for Merge Reports
MergeReportRow | Row of data for Merge Report
MergeResult | The MergeResult class contains the return values for a call to the merge-related functions of the MasterController class.
MetaDataService |
Metaphone | Encodes a string into a metaphone value.
MultiDomainSelector |
MultiQPath | This is used by MultiQueryParser.
MultiQueryParser | This Parser parses a QueryObject and produces SQLDescriptors[] containing SQL statements.
MultirowReport1 | Base class for reports that contain one object image
MultirowReport2 | Base class for reports that contain two objects
MultirowReportConfig1 | Base configuration class for reports that contain one object image
MultirowReportConfig2 | Base configuration class for reports that contain two object images
MultirowReportObject1 | Report row for reports that have one object image
MultirowReportObject2 | Report row for reports that have two object images
MySQLAdapter | MySQL database adapter class.
MySQLBlobHelper |
MySQLSQLObject | supports MySQL specific queries
NameValuePair | Name value pairs
NodeDef |
NotEqualsCondition | Not equals condition.
NumericConstraintType |
Nysiis | Encode a string using the NYSIIS algorithm.
ObjectColumn | The ObjectColumn class is used to keep values for the given column.
ObjectDescriptor |
ObjectFactory |
ObjectField | Object Field definition
ObjectInputstreamForBackwardCompatibility |
ObjectInputStreamForVersion |
ObjectKey | ObjectKey definition class
ObjectKeyType |
ObjectMetaData | Object MetaData structure
ObjectNode | The ObjectNode class performs the following functions: Maintains object control flags (UPDATE, REMOVE, and ADD).
ObjectNodeAssembler | The ObjectNodeAssembler class creates an object node (class ObjectNode) hierarchy.
ObjectNodeComparator |
ObjectNodeConfig | Description of the Class
ObjectNodeFilter | Construct query by looking at which fields in the system object have been populated and performing an "=" search on each of them.
ObjectNodeMetaNode | The ObjectNodeMetaNode class describes the structure of object nodes (ObjectNode class).
ObjectNodePageIterator | Page Iterator for Object Nodes
ObjectNodeReducer | This class reduces an object node such that it only contains the field values that are desired.
ObjectNodeXML | Formats ObjectNode to an xml string
ObjectPersistenceService |
ObjectTable | The ObjectTable class is used to keep list of ObjectColumn.
OracleAdapter |
OracleBlobHelper |
OracleSQLObject | supports Oracle-specific queries
OracleType |
OutBoundMessages | Outbound event names
OutBoundSender | Publish actions as events to a Topic.
PackageTree |
PageDataEJB | Session bean to store a data result on the server and give client the data one page at a time.
PageIterator | Used by paging mechanism to efficiently transport data to caller in pages.
PageIteratorWrapper | Base wrapper for PageIterator
Parameter | Represents a single parameter.
ParameterParser | Parser for Parameter configuration object
PassAllBlocks | User implementable interface that controls whether to attempt another pass with another block.
PassControllerHelper | A Helper class to load the configured implementation class as configured for the PassController component
PatternValidator |
PhoneticEncodersConfig | Phonetic encoder configuration information.
PhoneticEncodersConfig.Attributes | Attributes that correspond to the XML attribute names.
PhoneticEncodersConfig.Tags | Tags that correspond to the XML node names.
PhoneticizeField | Represents the configuration of a field to phoneticize.
Phoneticizer | Manages all Phonetic Encoder instances and provides access to their functionality by name
PickAllBlocksAtOnce | A user extensible component to pick the next block definition(s) to use for the next matching pass.
PotentialDuplicate |
PotentialDuplicateIterator | The PotentialDuplicateIterator class represents an iterator containing the PotentialDuplicateSummary objects returned by a call to lookupPotentialDuplicates.
PotentialDuplicateManager | Data access class for potential duplicates
PotentialDuplicatePageAdapter | Given a list of PotentialDuplicateSummaries, adapt the result for use within page iterator framework.
PotentialDuplicateReport | Report class for Potential Duplicates
PotentialDuplicateReportConfig | Configuration class for Potential Duplicate Report
PotentialDuplicateReportRow | Row of data for Potential Duplicate Report
PotentialDuplicateResult |
PotentialDuplicateSearchObject | The PotentialDuplicateSearchObject class is an object representing the search criteria passed to lookupPotentialDuplicate when performing a search for potential duplicates.
PotentialDuplicateSearchObjectBean |
PotentialDuplicateSummary | The PotentialDuplicateSummary class represents an object containing a potential duplicate pair returned by a call to lookupPotentialDuplicates.
PreparsedFieldGroup | Represents the configuration for a 'structures to normalize' field group, referred to in this class as a 'pre-parsed' field group as the standardization process consists of two stages: parsing and normalizing.
PullDownListItem | A dropdown list item contains its description and name.
QMIterator | The QMIterator class is called by the Query Manager to iterate through a composite object list.
QPath | This object represents object names from root to a leaf.
QualifiedField | This class splits a fully qualified name into Object name and field name.
QualifiedObject | This class is used to determine the root object in a QueryObject by comparing list of QualifiedObjects and determining the common parent.
QueryBuilder | QueryBuilder takes criteria and options and transforms them into a set of zero or more query objects.
QueryBuilderConfiguration | Query builder configuration.
QueryHelper | Performs basic straight JDBC calls for statically defined tables
QueryManagerFactory | Factory class to create instance of QueryManager
QueryManagerImpl | Impl class for QueryManager
QueryObject | The QueryObject class represents the criteria and conditions of an object query in the master index.
QueryObjectCache |
QueryObjectCacheManagerImpl |
QueryObjectCachePool | QueryObjectCachePool, based on LinkedHashMap This cache has a fixed maximum number of elements (poolSize).
QueryParser | This abstract QueryParser provides helper methods that can be used to parse a QueryObject.
QueryPipeLine | Splits the QueryObject into multiple QueryObjects and invokes QueryManager to execute and return back QMIterator QueryPipeLine executes the query in these stages.
QueryResults | The QueryResults class is used for tuple creation and for late assembling of tuples.
QueryResultSet | This is the core class reponsible for object assembling.
QueryType |
QueryType.BlockBy |
QueryType.BlockDefinition |
QueryType.BlockRule |
QueryType.RangeDefault |
QwsController | The QWS controller
QwsType |
QwsUtil | Utility class contains commonly used functions across QWS.
RangeCondition | Range condition.
RecordsToNormalize | Utility class to hold the records to normalize
RecordsToStandardize | Utility class to hold the records to standardize
RecreateResult | recreate object
ReferenceDescriptor |
RefinedSoundex | Encodes a string into a refined soundex value.
RelatedObjectType |
RelationDef |
Report | Base class for all reports
ReportConfig | Base class for all report configurations
ReportGeneratorEJB | Session bean for reports
ReportGeneratorImpl |
ReportRow | Base class for all multiline reports
ResultObject | Result object
Role |
SampleChecksumCalculator | Default checksum calculator
SbmeMatcherAdapter | MatcherAPI implementation that allows MEFA to communicate with the Master Index Match Engine.
SbmeMatcherAdapterConfig | Class to provide the Master Index match engine with user configuration It allows the Match Engine access to the Configuration Service.
SbmeMatcherAdapterConfig.CSConfigFileAccess | Inner class that implements the Master Index Match engine interface giving access to the configuration files
SbmeStandardizerAdapter | StandardizerAPI implementation that allows MEFA to communicate with the Master Index Standardization Engine.
SbmeStandardizerAdapterConfig | Class to provide the Master Index standardization engine with user configuration.
SbmeStandardizerAdapterConfig.CSConfigFileAccess | Inner class that implements the Master Index standardization engine interface giving access to the configuration files.
SBR | The SBR class represents the information about an entity that is considered to be the most accurate information from all external systems.
SBROverWrite |
SBROverWriteDB |
ScoreElement | Represents the results of a match against a particular object, represented by it's EUID.
ScreenObject | ScreenObject class representing MIDM screens.
SearchCriteria | Generic class representing data that is transformed using a QueryBuilder to construct a set of queries objects
SearchOptions | Generic class representing a set of options for executing a query
SearchResultsConfig | Search Result configurations
SearchScreenConfig | Search Result configurations
SearchScreenOptions | Search screen options configurations
SecureResource |
SecurityConfiguration |
SecurityManager | Read roles config xml
SecurityManager |
SeebeyondType |
SelectMap | This class contains a map of Object names and all the fields to be selected in the query.
SequenceEJB |
SerialBlockPicker | A user extensible component to pick the next block definition to use for the next matching pass.
Serializer | Utility methods to serialize/de-serialize an object to/from a byte array
Sigger | Signature calculator calculates a signature for a given SystemObject.
SimpleFactory | Simple object factory implementation
SingleDomainSelectorAU |
SingleDomainSelectorFR |
SingleDomainSelectorUK |
SingleDomainSelectorUS |
SingleQPath | This is used for Single Query option.
SingleQueryParser | This Parser parses a QueryObject and produces a single SQL statement.
Soundex | Encode a string using the Soundex algorithm.
SoundexFR | Encode a string using a version of French Soundex algorithm (Soundex2).
SQLDescriptor | This class contains data that is used to issue a SQL query and to assemble composite object tree.
SQLDescWithBindParameters |
SQLServerAdapter |
SQLServerBlobHelper |
SQLServerSQLObject | supports SQL server specifics query syntax
SqlServerType |
StandardizationConfiguration | Handles the parsing of the Standardization configuration, defining how to standardize (including phoneticization) objects.
StandardizationConfiguration.Attributes | Attributes that correspond to the XML attribute names.
StandardizationConfiguration.Tags | Tags that correspond to the XML node names.
StandardizationFieldGroup | Defines the configuration settings for the common elements to a standardization field group, whether for a structure to normalize (pre-parsed) or free-form text to standardize (unparsed).
StandardizerAPIHelper | A Helper class to load the configured implementation class as configured for the standardizer api component
StandardizerFactory | Factory class to create instance of Standardizer
StandardizerImpl | Loads and forwards requests to the adapter interface implementation configured.
StartsWithCondition | Condition object representing starts with.
StatusMonitor |
StrategyParameter | The StrategyParameter class represents a single parameter for the survivor strategy.
StringConstraintType |
StringValueValidator |
SuperKey | ObjectKey definition class
SurvivorCalculator | Survivor calculator class
SurvivorHelperConfig | Survivor helper configuration object
SurvivorQuality |
SybaseType |
SystemDefinition | The SystemDefinition class represents the information about the external systems sharing data with the master index application.
SystemField | The SystemField class represents a field in a system object.
SystemFieldList | The SystemFieldList class represents a list of system fields.
SystemFieldListMap | The SystemFieldListMap class represents a mapping of a system key (that is, a system code and local ID pair) to a corresponding list of system fields.
SystemObject | The SystemObject class represents information sent to the master index from external systems.
SystemObjectDB |
SystemObjectField | Represents the definition of a SystemObject field used in the configuration.
SystemObjectMatching | Represents the configuration for the matching of a system object.
SystemObjectPK | The SystemObjectPK class represents a system code and local ID pair.
SystemObjectStandardization | Represents the configuration for a 'standardize system object' entry, defining how to standardize a given system object.
SystemSBRDB |
ThreadSafeQueryObjectCacheManager |
TimestampValueValidator |
TMResult | The TMResult class represents the results of the Transaction Manager.
TransactionIterator | The TransactionIterator class represents an iterator containing the TransactionSummary objects returned by a call to lookupTransaction.
TransactionLog |
TransactionMgrFactory | Factory class to create Transaction Manager
TransactionMgrImpl | Transaction Manager implementation
TransactionObject | The TransactionObject class represents a transaction object as stored in the master index database table sbyn_transaction.
TransactionObjectDB |
TransactionObjectList |
TransactionPageAdapter | Adapter for transaction summaries
TransactionSearchObject | The TransactionSearchObject class is an object representing the search criteria passed to lookupTransaction when performing a search for transaction histories.
TransactionSummary | The TransactionSummary class represents an object containing a transaction summary returned by a call to lookupTransaction.
TransactionSummaryComparator | The TransactionSummaryComparator class is used to sort and compare TransactionSummary objects in a transaction iterator.
TupleAssembler | The TupleAssembler class assembles tuples from the data retrieved by the Query Manager.
TupleAssemblerEngine |
UnionSurvivorStrategy | Unions the values from each SystemObject and return it as a collection
UnmergeReport | Report class for Unmerges
UnmergeReportConfig | Configuration class for Unmerge Report
UnmergeReportRow | Row of data for Unmerge Report
UnparsedFieldGroup | Represents the configuration for a 'free-form texts to standardize' field group, referred to in this class as a 'unparsed' field group as the standardization process consists of two stages: parsing and normalizing.
UpdateHelper | helper methods for update manager
UpdateManagerConfig |
UpdateManagerFactory | UpdateManagerFactory
UpdateManagerImpl |
UpdateReport | Report class for updates
UpdateReportConfig | Configuration class for Update Report
UpdateReportRow | Row of data for Update Report
UpdateResult | The UpdateResult class contains the return values for a call to updateEnterpriseDupRecalc.
UpdateType |
UserCode | UserCode description
UserCodeLookupEJB |
UserCodeRegistry | UserCodeRegistry
UserCodeValidator |
UserProfile |
UserReferenceDescriptor |
Utils |
Utils.Parameter |
ValidationConfiguration |
ValidationRuleRegistry |
ValidationService | Perform validations
ValueMetaNode | The ValueMetaNode class describes the structure of the composite value objects assembled by the Query Manager and the assembler engine.
ValueMetaNodeAttribute |
WeblogicType |
WeightedCalculatorConfig | Weighted survivor strategy configuration object
WeightedSurvivorStrategy | Strategy for determing survivor.

Exception Summary
AssumedMatchException | Assumed match manager exception
AuditException |
CandidateThresholdException |
CodeLookupException | Code lookup exception
ConfigurationException | The ConfigurationException class represents an exception thrown when an error occurs in parsing or retrieving the configuration files.
ConnectionInvalidException | DataSource Connection error
CustomizationException | The CustomizationException class is used for errors that occur while processing the customizable logic for the executeMatch method.
DataModifiedException |
DecisionMakerException | Decision Maker Exception
DuplicateChildKeyException | The DuplicateChildKeyException class represents an exception thrown when duplicate unique keys are found in child objects of the same type (for example, when two home addresses are entered in one enterprise object).
EmptyLocalIDException | The EmptyLocalIDException class represents an exception thrown when the local ID field is empty.
EmptyObjectException | The EmptyObjectException class represents an exception thrown when an object is empty.
EmptySystemCodeException | The EmptySystemCodeException class represents an exception thrown when the system field is empty.
EPathException |
EViewException | The EViewException class is the base exception class for all Master Index exceptions.
HelperCreationException | Helper creation exception
InvalidContraintByField |
InvalidFieldNameException | The InvalidFieldNameException class represents an exception thrown when the given field name is invalid.
InvalidFieldNameValueException |
InvalidFieldValueException | The InvalidFieldValueException class represents an exception thrown when an invalid value is entered into a field.
InvalidKeyNameException |
InvalidKeyNameValueException |
InvalidKeyObjectException | The InvalidKeyObjectException class represents an exception thrown when the given key does not match the key definition for the object.
InvalidKeyTypeException | Each field in an object node has control flags represented by a number.
InvalidKeyValueException |
InvalidObjectException |
InvalidReferencedCode |
InvalidReferencedModule |
MatchingException | An exception occurred during the matching process
MaximumConstraintException |
MinimumConstraintException |
MissingValueOnRequiredError |
NoBlockApplicableException | No remaining Block definition is suitable for retrieving data relevant to the given SystemObject
NoNullValueError |
NotNullableFieldException | The NotNullableFieldException class represents an exception thrown when a null value is entered into a field that cannot be null.
NullObjectException |
ObjectException | The ObjectException class is the parent exception class for all exceptions that occur when processing ObjectNode objects.
OPSException | The OPSException class represents an exception thrown when an error occurs in database persistence operations in the transaction manager.
OutBoundException | exception from outbound package
PageException | Page Exception
ParserException |
PatternMismatchedException |
PhoneticEncoderException | An exception was thrown during the phonetic encoding
PotentialDuplicateException | Potential duplicate manager exception
PotentialDupMissingFieldException | The PotentialDupMissingFieldException class represents an exception thrown when an error occurs while constructing a potential duplicate object or changing its values (for example, if the date is null, this exception might be thrown when attempting to set the date).
ProcessingException | The ProcessingException class is the base exception class for all system-related exceptions.
QMException | The QMException class represents an exception thrown when an error occurs while the Query Manager is executing a query or assembling the results of the query.
QueryBuilderException | Query builder exception
ReportException | Report Exception
SecurityException | The SecurityException class represents an exception thrown when there is an error in security processing.
SEQException |
StandardizationException | An exception occurred during the standardization process
StrategyCreationException |
SurvivorCalculationException | The SurvivorCalculationException class represents an exception thrown when an error occurs while calculating the surviving data for the Single Best Record (SBR).
SystemObjectException |
UnfoundKeyNameException | The UnfoundKeyNameException class represents an exception thrown when a field name is not recognized as a defined key field name.
UnknownDataTypeException |
UnsupportedDataType |
UpdateException | Exception in udpating a `EnterpriseObject`
UpdateNotAllowedException |
UserException | The UserException class is the base exception class for all user-related exceptions, such as entering incorrect parameters.
ValidationException |
ValueToBigException |
VOAException | The VOAException class represents an exception thrown when an error occurs while assembling the objects used by the Query Manager and Query Builders.

Overview | Package | Class | Tree | Index | Help
PREV NEXT | FRAMES NO FRAMES

Sun Microsystems, Inc.